さくらのVPSにPHP7.2をインストールする

スポンサーリンク
Linux
スポンサーリンク
yum -y install epel-release
yum -y install http://rpms.famillecollet.com/enterprise/remi-release-7.rpm
yum install --enablerepo=remi,remi-php72 php

でいけますが、もし

エラー: パッケージ: php-mysql-5.4.45-18.el7.remi.x86_64 (remi) 要求: php-pdo(x86-64) = 5.4.45-18.el7.remi 削除中: php-pdo-5.4.16-48.el7.x86_64 (@base) php-pdo(x86-64) = 5.4.16-48.el7 次のものにより更新された: : php-pdo-7.2.31-2.el7.remi.x86_64 (remi-php72) php-pdo(x86-64) = 7.2.31-2.el7.remi 利用可能: php-pdo-5.4.45-18.el7.remi.x86_64 (remi) php-pdo(x86-64) = 5.4.45-18.el7.remi 利用可能: php-pdo-7.2.31-1.el7.remi.x86_64 (remi-php72) php-pdo(x86-64) = 7.2.31-1.el7.remi 問題を回避するために –skip-broken を用いることができます。 これらを試行できます: rpm -Va –nofiles –nodigest

みたいなエラーが出たら、インストールするパッケージにphp-pdo、php-mysqlのようにメッセージに出たパッケージを追加します。

1 Star2 Stars3 Stars4 Stars5 Stars (まだ投票されていません)
読み込み中...

コメント

  1. […] さくらのVPSにPHP7.2をインストールする […]

タイトルとURLをコピーしました